package com.zjrs.zwnw.sxgl.bpo.impl;

import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.sxgl.blo.YwltjBLO;
import com.zjrs.zwnw.sxgl.bpo.YwltjBPO;
import com.zjrs.zwnw.sxgl.dto.YwltjQueryDTO;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;
import jakarta.servlet.http.HttpServletResponse;

/**
 * @author chenjiebo
 * @date 2022/12/12 17:02
 **/
@Service
public class YwltjBPOImpl implements YwltjBPO {

    @Resource
    private YwltjBLO  ywltjBLO;

    @Override
    public PageResult queryYwltjList(YwltjQueryDTO dto) {
        return ywltjBLO.queryYwltjList(dto);
    }

    @Override
    public void exportYwltjList(YwltjQueryDTO dto, HttpServletResponse res) {
        ywltjBLO.exportYwltjList(dto,res);
    }
}
